fop 1.1

## org.apache.fop.layoutmgr
Class LeafPosition

    java.lang.Object
      org.apache.fop.layoutmgr.Position
          org.apache.fop.layoutmgr.LeafPosition

Direct Known Subclasses:
  AbstractBreaker.PageBreakPosition

    public class LeafPosition

extends Position

A leaf position.

Constructor Summary
`LeafPosition(LayoutManager layoutManager, int pos)` Construct a leaf position.
`LeafPosition(LayoutManager layoutManager, int pos, int index)` Construct a leaf position.

Method Summary
`boolean` `generatesAreas()`
`int` `getLeafPos()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.fop.layoutmgr.Position
`getIndex, getLM, getLM, getPosition, getPosition, getShortLMName, setIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeafPosition

    public LeafPosition(LayoutManager layoutManager,
                        int pos)

  Construct a leaf position.

  Parameters:
    `layoutManager` - the associated layout manager
    `pos` - the leaf position

### LeafPosition

    public LeafPosition(LayoutManager layoutManager,
                        int pos,
                        int index)

  Construct a leaf position.

  Parameters:
    `layoutManager` - the associated layout manager
    `pos` - the leaf position
    `index` - the index

Method Detail

### getLeafPos

    public int getLeafPos()

  Returns:
    leaf position

### generatesAreas

    public boolean generatesAreas()

  Overrides:
    `generatesAreas` in class `Position`
  Returns:
    true if generates areas

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Position`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.